function OnClick()
    if s.m_s01_burner_state == 100 then
        return
    end
    value = s01_0304_burner.s01_0304_burner.GetSliderValue()
    local comment = false
    full = false
    local sdx4 = true
    if value>s01_0304_burner.s01_0304_burner.min and value<s01_0304_burner.s01_0304_burner.max then
        s.m_s01_burner_counter  = s.m_s01_burner_counter + 1
        s.m_s01_burner_state = 9
        s01_0304_burner.s01_0304_burner.SetProgress(6)
        full = true
        if s.m_s01_burner_counter<6 then
            comment = true
        end
        
    else
        if value<s01_0304_burner.s01_0304_burner.min then
             s.m_s01_burner_state = 4
        
             s01_0304_burner.s01_0304_burner.SetProgress(6)
        
             --Sleep(800)
             Talk("com_s01_0304_02_hero")
             sdx4 = false
         end
    end
    
    OldAction("sdx4", function ()
        if s.m_s01_burner_state ~= 5 then
            if full then
                s.m_s01_burner_state = 1
            else
                s.m_s01_burner_state = 0
                s.m_s01_burner_counter = 0  
                s01_0304_burner.s01_0304_burner.SetProgress(6)
            end
            
            PlaySound("snd_s01_0304_move_left")
            s01_0304_burner.s01_0304_burner.LeftAnim(full, function ()
                Talk("com_s01_0304_03_hero", 1)             
            end)
        end    
    end)

    s01_0304_burner.s01_0304_burner.SetSliderValue(0)
end